Bug 491648 - gscan2pdf does not load after Fedora update
gscan2pdf does not load after Fedora update
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gscan2pdf (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Bernard Johnson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-23 09:52 EDT by Luis Felipe Marzagao
Modified: 2009-12-18 04:05 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:05:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Dump report when the program crashed (366.68 KB, text/plain)
2009-03-23 09:52 EDT, Luis Felipe Marzagao
no flags Details

  None (edit)
Description Luis Felipe Marzagao 2009-03-23 09:52:12 EDT
Created attachment 336292 [details]
Dump report when the program crashed

Description of problem:

gscan2pdf does not load.


Version-Release number of selected component (if applicable):

gscan2pdf-0.9.27-3.fc10.noarch


How reproducible:

Always.


Steps to Reproduce:
1. Open a terminal
2. Type gscan2pdf

  
Actual results:

[aps@localhost ~]$ gscan2pdf 
Constant subroutine main::LC_CTYPE redefined at /usr/lib/perl5/5.10.0/Exporter.pm line 66.
 at /usr/bin/gscan2pdf line 117
Prototype mismatch: sub main::LC_CTYPE () vs none at /usr/lib/perl5/5.10.0/Exporter.pm line 66.
 at /usr/bin/gscan2pdf line 117
Constant subroutine main::LC_NUMERIC redefined at /usr/lib/perl5/5.10.0/Exporter.pm line 66.
 at /usr/bin/gscan2pdf line 117
Prototype mismatch: sub main::LC_NUMERIC () vs none at /usr/lib/perl5/5.10.0/Exporter.pm line 66.
 at /usr/bin/gscan2pdf line 117
Constant subroutine main::LC_TIME redefined at /usr/lib/perl5/5.10.0/Exporter.pm line 66.
 at /usr/bin/gscan2pdf line 117
Prototype mismatch: sub main::LC_TIME () vs none at /usr/lib/perl5/5.10.0/Exporter.pm line 66.
 at /usr/bin/gscan2pdf line 117
Constant subroutine main::LC_COLLATE redefined at /usr/lib/perl5/5.10.0/Exporter.pm line 66.
 at /usr/bin/gscan2pdf line 117
Prototype mismatch: sub main::LC_COLLATE () vs none at /usr/lib/perl5/5.10.0/Exporter.pm line 66.
 at /usr/bin/gscan2pdf line 117
Constant subroutine main::LC_MONETARY redefined at /usr/lib/perl5/5.10.0/Exporter.pm line 66.
 at /usr/bin/gscan2pdf line 117
Prototype mismatch: sub main::LC_MONETARY () vs none at /usr/lib/perl5/5.10.0/Exporter.pm line 66.
 at /usr/bin/gscan2pdf line 117
Constant subroutine main::LC_MESSAGES redefined at /usr/lib/perl5/5.10.0/Exporter.pm line 66.
 at /usr/bin/gscan2pdf line 117
Prototype mismatch: sub main::LC_MESSAGES () vs none at /usr/lib/perl5/5.10.0/Exporter.pm line 66.
 at /usr/bin/gscan2pdf line 117
Constant subroutine main::LC_ALL redefined at /usr/lib/perl5/5.10.0/Exporter.pm line 66.
 at /usr/bin/gscan2pdf line 117
Prototype mismatch: sub main::LC_ALL () vs none at /usr/lib/perl5/5.10.0/Exporter.pm line 66.
 at /usr/bin/gscan2pdf line 117
Aviso: Formato de arquivo de imagem não reconhecido at /usr/bin/gscan2pdf line 1435.

`' is not of type Gtk2::Gdk::Pixbuf at /usr/lib/perl5/vendor_perl/5.10.0/Gtk2/Ex/Simple/TiedCommon.pm line 65.
12385f80-48cd-1230-1918351e-26234f6f is dumped


Expected results:

The program should load.


Additional info:

Attached is the dump report gnome has issued.

The program has broken after a Fedora update.

These were the last updated packages. Before them, the program was working just fine.

Mar 16 10:42:02 Updated: crontabs-1.10-26.fc10.noarch
Mar 16 10:42:02 Updated: xorg-x11-server-common-1.5.3-15.fc10.i386
Mar 16 10:42:02 Updated: gnome-python2-extras-2.19.1-27.fc10.i386
Mar 16 10:42:03 Updated: perl-URI-1.37-1.fc10.noarch
Mar 16 10:42:03 Updated: kernel-firmware-2.6.27.19-170.2.35.fc10.noarch
Mar 16 10:42:11 Updated: cjkunifonts-uming-0.2.20080216.1-11.fc10.noarch
Mar 16 10:42:11 Updated: setup-2.7.4-4.fc10.noarch
Mar 16 10:42:11 Updated: fontpackages-filesystem-1.20-1.fc10.noarch
Mar 16 10:42:19 Updated: e2fsprogs-libs-1.41.4-1.fc10.i386
Mar 16 10:42:24 Updated: coreutils-6.12-19.fc10.i386
Mar 16 10:42:24 Updated: audit-libs-1.7.12-1.fc10.i386
Mar 16 10:42:25 Updated: 1:NetworkManager-glib-0.7.0.99-3.fc10.i386
Mar 16 10:42:29 Updated: gvfs-1.0.3-6.fc10.i386
Mar 16 10:42:29 Updated: 2:libpng-1.2.35-1.fc10.i386
Mar 16 10:42:29 Updated: 1:cups-libs-1.3.9-8.fc10.i386
Mar 16 10:42:29 Updated: libtalloc-1.2.0-27.fc10.i386
Mar 16 10:42:30 Updated: bluez-libs-4.30-2.fc10.i386
Mar 16 10:42:30 Updated: libtdb-1.1.1-27.fc10.i386
Mar 16 10:42:30 Updated: hplip-libs-2.8.12-6.fc10.i386
Mar 16 10:42:41 Updated: 1:cups-1.3.9-8.fc10.i386
Mar 16 10:42:41 Updated: nash-6.0.71-4.fc10.i386
Mar 16 10:42:49 Updated: evolution-data-server-2.24.5-1.fc10.i386
Mar 16 10:42:54 Updated: xulrunner-1.9.0.7-1.fc10.i386
Mar 16 10:42:56 Updated: 1:qt-4.4.3-15.fc10.i386
Mar 16 10:42:58 Updated: e2fsprogs-1.41.4-1.fc10.i386
Mar 16 10:43:08 Updated: 1:qt-x11-4.4.3-15.fc10.i386
Mar 16 10:43:09 Updated: pygtk2-2.13.0-3.fc10.i386
Mar 16 10:43:10 Updated: pygtk2-libglade-2.13.0-3.fc10.i386
Mar 16 10:43:17 Updated: libpurple-2.5.5-1.fc10.i386
Mar 16 10:43:17 Updated: libcurl-7.19.4-2.fc10.i386
Mar 16 10:43:17 Updated: pciutils-libs-3.0.2-3.fc10.i386
Mar 16 10:43:18 Updated: 2:gimp-libs-2.6.5-1.fc10.i386
Mar 16 10:43:18 Updated: libgcrypt-1.4.4-1.fc10.i386
Mar 16 10:43:20 Updated: gtkhtml3-3.24.5-1.fc10.i386
Mar 16 10:45:06 Updated: evolution-2.24.5-1.fc10.i386
Mar 16 10:45:07 Updated: curl-7.19.4-2.fc10.i386
Mar 16 10:45:09 Updated: PyQt4-4.4.4-5.fc10.i386
Mar 16 10:45:10 Updated: gvfs-obexftp-1.0.3-6.fc10.i386
Mar 16 10:45:36 Updated: bluez-gnome-1.8-12.fc10.i386
Mar 16 10:46:05 Updated: 1:gdm-2.24.1-4.fc10.i386
Mar 16 10:46:06 Updated: 1:wpa_supplicant-0.6.4-3.fc10.i386
Mar 16 10:46:21 Updated: yelp-2.24.0-6.fc10.i386
Mar 16 10:46:21 Updated: mkinitrd-6.0.71-4.fc10.i386
Mar 16 10:46:23 Updated: 1:hpijs-2.8.12-6.fc10.i386
Mar 16 10:46:27 Updated: hplip-2.8.12-6.fc10.i386
Mar 16 10:46:27 Updated: libsane-hpaio-2.8.12-6.fc10.i386
Mar 16 10:46:28 Installed: libXvMC-1.0.4-5.fc10.i386
Mar 16 10:46:28 Updated: SDL-1.2.13-7.fc10.i386
Mar 16 10:46:29 Updated: libgxim-0.3.2-4.fc10.i386
Mar 16 10:46:30 Updated: libmusicbrainz3-3.0.2-4.fc10.i386
Mar 16 10:46:30 Installed: libudev0-127-3.fc10.i386
Mar 16 10:46:32 Updated: 1:NetworkManager-0.7.0.99-3.fc10.i386
Mar 16 10:46:33 Updated: 2:ntfs-3g-2009.2.1-2.fc10.i386
Mar 16 10:46:36 Updated: anthy-9100h-1.fc10.i386
Mar 16 10:46:38 Updated: 1:NetworkManager-openvpn-0.7.0.99-1.fc10.i386
Mar 16 10:46:38 Updated: 1:NetworkManager-vpnc-0.7.0.99-1.fc10.i386
Mar 16 10:46:41 Updated: 1:NetworkManager-gnome-0.7.0.99-3.fc10.i386
Mar 16 10:47:20 Installed: kernel-2.6.27.19-170.2.35.fc10.i686
Mar 16 10:47:20 Updated: 1:gdm-user-switch-applet-2.24.1-4.fc10.i386
Mar 16 10:47:22 Updated: bluez-4.30-2.fc10.i386
Mar 16 10:47:44 Updated: 2:gimp-2.6.5-1.fc10.i386
Mar 16 10:47:44 Updated: pciutils-3.0.2-3.fc10.i386
Mar 16 10:48:16 Updated: pidgin-2.5.5-1.fc10.i386
Mar 16 10:48:16 Updated: libbdevid-python-6.0.71-4.fc10.i386
Mar 16 10:48:16 Updated: 1:cups-lpd-1.3.9-8.fc10.i386
Mar 16 10:48:16 Updated: bluez-cups-4.30-2.fc10.i386
Mar 16 10:48:18 Updated: bluez-alsa-4.30-2.fc10.i386
Mar 16 10:48:37 Updated: gstreamer-plugins-good-0.10.13-1.fc10.i386
Mar 16 10:48:38 Updated: gvfs-archive-1.0.3-6.fc10.i386
Mar 16 10:48:38 Updated: gvfs-fuse-1.0.3-6.fc10.i386
Mar 16 10:48:38 Updated: gvfs-gphoto2-1.0.3-6.fc10.i386
Mar 16 10:48:38 Updated: audit-libs-python-1.7.12-1.fc10.i386
Mar 16 10:48:39 Updated: audit-1.7.12-1.fc10.i386
Mar 16 10:48:40 Updated: rsyslog-3.21.10-1.fc10.i386
Mar 16 10:48:40 Updated: gnome-python2-libegg-2.19.1-27.fc10.i386
Mar 16 10:48:40 Updated: gnome-python2-gtkhtml2-2.19.1-27.fc10.i386
Mar 16 10:48:42 Updated: anacron-2.3-66.fc10.i386
Mar 16 10:48:43 Updated: alsa-utils-1.0.19-2.fc10.i386
Mar 16 10:48:43 Updated: upstart-0.3.9-22.fc10.i386
Mar 16 10:48:46 Installed: system-config-date-1.9.36-1.fc10.noarch
Mar 16 10:50:02 Updated: selinux-policy-3.5.13-47.fc10.noarch
Mar 16 10:51:17 Updated: selinux-policy-targeted-3.5.13-47.fc10.noarch
Mar 16 10:51:22 Installed: system-config-date-docs-1.0.5-1.fc10.noarch
Mar 16 10:51:31 Updated: hplip-gui-2.8.12-6.fc10.i386
Mar 16 10:51:31 Updated: evolution-perl-2.24.5-1.fc10.i386
Mar 16 10:51:41 Updated: firefox-3.0.7-1.fc10.i386
Mar 16 10:51:43 Updated: xorg-x11-server-Xorg-1.5.3-15.fc10.i386
Mar 16 10:51:45 Updated: samba-winbind-3.2.8-0.27.fc10.i386
Mar 16 10:51:46 Updated: rpm-libs-4.6.0-1.fc10.i386
Mar 16 10:51:47 Updated: libsmbclient-3.2.8-0.27.fc10.i386
Mar 16 10:51:52 Updated: system-config-printer-libs-1.0.15-1.fc10.i386
Mar 16 10:51:57 Updated: samba-common-3.2.8-0.27.fc10.i386
Mar 16 10:51:57 Updated: xorg-x11-drv-evdev-2.1.3-1.fc10.i386
Mar 16 10:52:00 Updated: rpm-4.6.0-1.fc10.i386
Mar 16 10:52:00 Updated: xorg-x11-drv-openchrome-0.2.903-5.fc10.i386
Mar 16 10:52:01 Updated: linuxwacom-0.8.0.3-8.fc10.i386
Mar 16 10:52:02 Updated: system-config-printer-1.0.15-1.fc10.i386
Mar 16 10:52:02 Updated: gvfs-smb-1.0.3-6.fc10.i386
Mar 16 10:52:03 Updated: rpm-python-4.6.0-1.fc10.i386
Mar 16 10:52:03 Updated: xorg-x11-drv-vmmouse-12.6.3-3.fc10.i386
Mar 16 10:52:07 Updated: samba-client-3.2.8-0.27.fc10.i386
Mar 16 10:52:08 Updated: hal-cups-utils-0.6.19-1.fc10.i386
Mar 16 10:52:09 Updated: xorg-x11-drv-synaptics-0.15.2-4.fc10.i386
Mar 16 10:52:09 Updated: xorg-x11-drv-penmount-1.4.0-1.fc10.i386
Mar 16 10:53:14 Installed: kernel-2.6.27.19-170.2.35.fc10.i686
Mar 16 10:53:15 Updated: rpm-4.6.0-1.fc10.i386
Comment 1 Luis Felipe Marzagao 2009-04-03 17:32:54 EDT
I´ve made a downgrade to previous versions of gscan2pdf, but no success. I think maybe it´s a gnome issue. Should the component of this bug be changed? In that case, to what component? Being unable to use the app is causing a lot of trouble here :(

Tks
Comment 2 Bernard Johnson 2009-04-05 11:43:58 EDT
Please check if you have a session file: 'grep ~/.gscan2pdf session'.  If this file exists, please rename it and try again.
Comment 3 Luis Felipe Marzagao 2009-04-05 13:14:50 EDT
Yes, renaming the session file under /tmp has solved it.

So, is it not a bug? Should the report be closed?

Thanks a lot.
Comment 4 Bug Zapper 2009-11-18 04:55:58 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 04:05:36 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.